#include<stdio.h>

#define LENGTH 10

/* 
  conta le occorrenze di k in v che appaiono dopo un numero minore di k
  (o in testa al vettore)
*/
unsigned after ( int * v, int length, int k){
	int res = 0, i;
	
	for (i = 0; i < length; i++){
		if( (v[ i ] == k) && ((0 == i)||(v[ i-1 ] < k)) ) res++;
	}
	return res;
}

/*
  conta le occorrenze di k che appaiono prima di un numero maggiore di k
  (o in coda al vettore)
*/
unsigned before ( int * v, int length, int k){
	int res = 0, i;
	
	for (i = 0; i < length; i++){
		if( (v[ i ] == k) && ((length -1 == i)||(v[ i+1 ] > k)) ) res++;
	}
	return res;
}

int main ( void ) {

	int i, k, v [ LENGTH ];
	
	for (i=0; i < LENGTH; i++)
		scanf("%d", &v[ i ]);
	
	scanf("%d", &k);
	
	printf ("%u %u\n", after(v, LENGTH, k), before(v, LENGTH, k));
	
	return 0;
	
}
