#include <stdio.h>
#include <stdlib.h>
#define ROWS 10
#define COLUMNS 20
#define RANGE 100

void set_random (unsigned v[][COLUMNS], unsigned rows, unsigned columns, unsigned range){
	int i,j;
	for(i=0; i< rows; i++){
		for(j=0; j< columns; j++){
			v[i][j] = rand() % range;
		}
	}
}

void print_matrix (unsigned v[][COLUMNS], unsigned rows, unsigned columns){
	int i,j;
	for(i=0; i< rows; i++){
		for(j=0; j< columns; j++){
			printf("%3u", v[i][j]);
		}
		printf("\n");
	}
}

int main( void ) {

	unsigned matrix[ROWS][COLUMNS];

	srand(10);
	set_random(matrix, ROWS, COLUMNS, RANGE);
	print_matrix(matrix, ROWS, COLUMNS);
}
