#include <stdio.h>
#include <stdlib.h>
#define ROWS 10
#define COLUMNS 20
#define RANGE 100

void set_random (unsigned v[][COLUMNS], unsigned rows, unsigned columns, unsigned range){
	int i,j;
	for(i=0; i< rows; i++){
		for(j=0; j< columns; j++){
			v[i][j] = rand() % range;
		}
	}
}

void print_matrix (unsigned v[][COLUMNS], unsigned rows, unsigned columns){
	int i,j;
	for(i=0; i< rows; i++){
		for(j=0; j< columns; j++){
			printf("%3u", v[i][j]);
		}
		printf("\n");
	}
}

void find_min(unsigned v[][COLUMNS], unsigned rows, unsigned columns, unsigned * row, unsigned * column){
	*row = 0;
	*column = 0;
	int i=0,j=1;
	while(i<rows){
		while(j<columns){
			if (v[i][j]< v[*row][*column]){
				*row=i;
				*column=j;
			}
			j++;
		}
		j=0;
		i++;
	}
}

void find_max(unsigned v[][COLUMNS], unsigned rows, unsigned columns, unsigned * row, unsigned * column){
	*row = 0;
	*column = 0;
	int i=0,j=1;
	while(i<rows){
		while(j<columns){
			if (v[i][j] > v[*row][*column]){
				*row=i;
				*column=j;
			}
			j++;
		}
		j=0;
		i++;
	}
}

int main( void ) {

	unsigned matrix[ROWS][COLUMNS];
	unsigned min_row, min_column, max_row, max_column;

	srand(10);
	set_random(matrix, ROWS, COLUMNS, RANGE);
	print_matrix(matrix, ROWS, COLUMNS);
  find_min(matrix, ROWS, COLUMNS, &min_row, &min_column);

  printf("Il minimo valore e' matrix[%u][%u] = %u\n", min_row, min_column, matrix[min_row][min_column]);

  find_max(matrix, ROWS, COLUMNS, &max_row, &max_column);
	printf("Il massimo valore e' matrix[%u][%u] = %u\n", max_row, max_column, matrix[max_row][max_column]);  
}
